Types & Categories
Get elemental types, categories, and topics
Retrieve available elemental types, categories, and topics for organizing and creating content.
Fetch a list of elemental types available in the system.
1
Prompt
AI prompt templates with variable tags
2
Snippet
Reusable text blocks
3
Document
Long-form content
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
No content
Unauthorized
curl -X GET "https://api-integrations.snackprompt.com/v1/elemental/types" \
-H "x-api-key: YOUR_API_KEY"
No content
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
The elemental type ID (1=Prompt, 2=Snippet, 3=Document)
List of categories
HTTP status code
200Response data (varies by endpoint)
Unauthorized
Type not found
curl -X GET "https://api-integrations.snackprompt.com/v1/elemental/type/1/categories" \
-H "x-api-key: YOUR_API_KEY"
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1
},
"response": null
}Returns available topics for a specific category.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Category ID
List of topics
HTTP status code
200Response data (varies by endpoint)
Unauthorized
Category not found
curl -X GET "https://api-integrations.snackprompt.com/v1/elemental/type/category/1/topics" \
-H "x-api-key: YOUR_API_KEY"
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1
},
"response": null
}Last updated
Was this helpful?